 
#include "VideoWindow.h"
#include "VideoView.h"

VideoWindow::VideoWindow(BRect bounds)
:BWindow(bounds,WINDOW_TITLE,B_TITLED_WINDOW,B_WILL_ACCEPT_FIRST_CLICK)
{
	Lock();
	
	bounds.OffsetTo(B_ORIGIN);
	vv=new VideoView(bounds,QCAM_160x120,4);
	
	AddChild(vv);
	
	vv->MakeFocus();
	
	Unlock();
}

bool VideoWindow::QuitRequested(void)
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return TRUE;
}

void VideoWindow::MessageReceived(BMessage *msg)
{
	switch(msg->what)
	{
		case mSMALL:
		case mMEDIUM:
		case mLARGE:
			vv->ResizeBitmaps(msg->what);
			break;
			
		case m4BITS:
		case m6BITS:
			vv->AdjustBitDepth(msg->what);
			break;
			
		case mWHITEBAL:
			vv->SetWhiteBalance(msg->FindLong("value"));
			break;
			
		case mCONTRAST:
			vv->SetContrast(msg->FindLong("value"));
			break;
			
		case mBRIGHTNS:
			vv->SetBrightness(msg->FindLong("value"));
			break;
	}
}
